# texteff.cpp File Reference

Handling of text effects. More...

`#include "stdafx.h"`
`#include "texteff.hpp"`
`#include "transparency.h"`
`#include "strings_func.h"`
`#include "core/smallvec_type.hpp"`
`#include "viewport_func.h"`
`#include "settings_type.h"`

Go to the source code of this file.

## Data Structures
struct | TextEffect
| Container for all information about a text effect. More...
## Functions
TextEffectID | AddTextEffect (StringID msg, int center, int y, uint8 duration, TextEffectMode mode)
void | UpdateTextEffect (TextEffectID te_id, StringID msg)
void | RemoveTextEffect (TextEffectID te_id)
void | MoveAllTextEffects ()
void | InitTextEffects ()
void | DrawTextEffects (DrawPixelInfo *dpi)
## Variables
static SmallVector< struct TextEffect, 32 > | _text_effects
| Text effects are stored there.

## Detailed Description

Handling of text effects.

Definition in file texteff.cpp.